package es.uv.saic.domain;

import jakarta.persistence.Column;
import jakarta.persistence.EmbeddedId;
import jakarta.persistence.Entity;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name="grafiques")
@NamedQuery(name="Grafica.findAll", query="SELECT g FROM Grafica g")
public class Grafica {

	@EmbeddedId
	private GraficaPK idGrafica;
	
	private String dimensio;
	
	private String enquesta;
	
	private String indicador;
	
	private Integer g;
	
	@Column(name="nom_cas")
	private String nomCas;
	
	@Column(name="nom_val")
	private String nomVal;
	
	private String unitats;
	
	private boolean negar;
	
	private boolean likert;
	
	private Integer ordre;
	
	public Grafica() {}

	public GraficaPK getIdGrafica() {
		return idGrafica;
	}

	public void setIdGrafica(GraficaPK idGrafica) {
		this.idGrafica = idGrafica;
	}

	public String getDimensio() {
		return dimensio;
	}

	public void setDimensio(String dimensio) {
		this.dimensio = dimensio;
	}

	public String getEnquesta() {
		return enquesta;
	}

	public void setEnquesta(String enquesta) {
		this.enquesta = enquesta;
	}

	public String getIndicador() {
		return indicador;
	}

	public void setIndicador(String indicador) {
		this.indicador = indicador;
	}

	public Integer getG() {
		return g;
	}

	public void setG(Integer g) {
		this.g = g;
	}

	public String getNomCas() {
		return nomCas;
	}

	public void setNomCas(String nomCas) {
		this.nomCas = nomCas;
	}

	public String getNomVal() {
		return nomVal;
	}

	public void setNomVal(String nomVal) {
		this.nomVal = nomVal;
	}

	public String getUnitats() {
		return unitats;
	}

	public void setUnitats(String unitats) {
		this.unitats = unitats;
	}

	public boolean isNegar() {
		return negar;
	}

	public void setNegar(boolean negar) {
		this.negar = negar;
	}

	public boolean isLikert() {
		return likert;
	}

	public void setLikert(boolean likert) {
		this.likert = likert;
	}

	public Integer getOrdre() {
		return ordre;
	}

	public void setOrdre(Integer ordre) {
		this.ordre = ordre;
	}
	
}
